Bug 164334 - Huge memory leak when swiching feeds
Summary: Huge memory leak when swiching feeds
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-17 20:52 UTC by Urs Wolfer
Modified: 2012-07-26 08:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urs Wolfer 2008-06-17 20:52:38 UTC
Version:            (using Devel)
Installed from:    Compiled sources

If you switch feeds in the feed panel, Akregator leaks a lot of memory.
You can reproduce it all the time. Just open a system monitor, and switch feeds (here with a *lot* of items). Akregator uses then after a short time several hundred MB memory.
Comment 1 Teemu Rytilahti 2008-08-19 12:10:07 UTC
SVN commit 849243 by rytilahti:

don't leak so much memory when changing between feeds.

totally unscientific measurements done with ksysguard and by swithing between all \
                feeds (9189 total/35011 unread) and slashdot (3435/3930):
startup: 35,048K, switch to all: 44,336K, slashdot: 41,876K, all: 44,824K, slashdot: \
42,696K does still seem to leak, but nothing like it used to be (switching between \
all and slashdot it took approx 8MB)

CCBUG:164334


 M  +2 -2      articlelistview.cpp  
 M  +8 -2      selectioncontroller.cpp  
 M  +1 -0      selectioncontroller.h